### Signal

# WPEWebKit WebView::submit-form

#### Declaration

    void
    submit_form (
      WebKitWebView* self,
      WebKitFormSubmissionRequest* request,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a form is about to be submitted. The `request` argument passed contains information about the text fields of the form. This is typically used to store login information that can be used later to pre-fill the form. The form will not be submitted until `webkit_form_submission_request_submit()` is called.

It is possible to handle the form submission request asynchronously, by simply calling `g_object_ref()` on the `request` argument and calling `webkit_form_submission_request_submit()` when done to continue with the form submission. If the last reference is removed on a `WebKitFormSubmissionRequest` and the form has not been submitted, `webkit_form_submission_request_submit()` will be called.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`request`

  Type: `WebKitFormSubmissionRequest`

  A `WebKitFormSubmissionRequest`.

  The data is owned by the caller of the function.